<bugID>1344017<Summary>editBookmarkOverlay.js - onItemMoved aItemOd is undefined &amp; enable no-undef for browser/components</Summary><Description>In working towards enabling no-undef for eslint, I've come across this issue:

browser/components/places/content/editBookmarkOverlay.js
  1125:34  error  'aItemOd' is not defined.  no-undef (eslint)

This is here:

https://dxr.mozilla.org/mozilla-central/rev/e91de6fb2b3dce9c932428265b0fdb630ea470d7/browser/components/places/content/editBookmarkOverlay.js#1117

However, I've also noticed that earlier in that if statement, this part will always be true:

    !this._paneInfo.visibleRows.has("folderPicker")

this is because the "folderPicker" is for the hidden list, and in the visible rows it should be referred to as "folderRow".

So currently the code never gets past the if clause.

The code was added in bug 951651 (FF 40).

Note: I also attempted to test the effect of doing the selectedItem assignment (i.e. making the code work), however even though I hit it, I couldn't see a visible change - it seems the menus all update themselves anyway.</Description></bugID>